/******************************************************************************
    Program search.cgi, search thru database to match word(s):
    - write.c - source file for writing files with error or warning

    Copyright (C) 1997-2000 Silvio Klaic, sklaic@student.math.hr
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
******************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "search.h"
#include "extern.h"

/******************** Writing some warning file **********************/
void writefile(char *SomeFile,char *CopyRight)
{
char lin[1024];
FILE *f;
short int test;

test=true;
printf("<!-- Search.cgi v%s Copyright by Silvio Klaic 1997-2000.  -->\n",\
	VERSION);/* write signature and copyright */
if( (f=fopen(SomeFile,"r"))==NULL ){/* open  some html file for reading */
 printf("Can't read %s !<BR>\n",SomeFile);/* can't open file, write error */
 exit(0);}/* end if not open */

while(!feof(f)){ /* go thru file and write it */
     lin[0]=0;fgets(lin,1024,f);/* reset line and get line */
     if(strncmp(lin,"<!-- Begining of section -->",28)==0){/* test if section */
      if(CUR_SECT==1) test=false;/* don't display section help if one section */
     }/* end if begin of sect */
     if(test) printf("%s",lin);/* write line */
     if(strncmp(lin,"<!-- End of section -->",23)==0) test=true;/* reset */
}/* end while eof */
fclose(f);/* close file */
printf("<FONT SIZE=2><HR SIZE=4 WIDTH=\"70%%\" ALIGN=LEFT>\n%s\n</FONT>\n",\
	CopyRight);/* write copyright for generating this html file (visible) */
}/* end writefile() */

/************************* Writing error file ******************************/
void writeerror(char *ErrorFile,char *CopyRight,int NoMessage)
{
char lin[1024];
FILE *f;

printf("<!-- Search.cgi v%s Copyright by Silvio Klaic 1997-2000.  -->\n",\
	VERSION);/* write signature and copyright */
if( (f=fopen(ErrorFile,"r"))==NULL ){/* open error.html file for reading */
 printf("Can't read %s !<BR>\n",ErrorFile);/* can't open file, write error */
 exit(0);}/* end if not open */

while(!feof(f)){/* go thru file and write it */
 lin[0]=0;fgets(lin,1024,f);/* reset line and get line */
 if(strncmp(lin,"<!-- Error message, DON'T REMOVE OR CHANGE THIS COMMENT!!! -->",62)==0 ){/* found place for error message */
  printf("<H1> Error %d ! </H1>\n",NoMessage);/* write number of message */
  switch (NoMessage) {/* go find error message */
   case 100: /* no word for search */
    printf("Missing word(s) to search!\n");
    break;/* end no word for search */
   case 101: /* no section for search */
    printf("Missing section where to search!\n");
    break;/* end no section for search */
   case 102: /* only "not" words for search */
    printf("O.K. you selected word(s) what you don't want.<BR>\n");
    printf("But what word(s) do you want to search?\n");
    break;/* end of only "not" words for search */
   default: /* write default error if none is specified */
    printf("Undeclared error call!\n");
    break;/* end write default error if none is specified */
  }/* end finding error message */
 }else/* that isn't place for error message, write file */
  printf("%s",lin);/* write line */
}/* end while eof */
fclose(f);/* close file */
printf("<FONT SIZE=2><HR SIZE=4 WIDTH=\"70%%\" ALIGN=LEFT>\n%s\n</FONT>\n",\
	CopyRight);/* write copyright for generating this html file (visible) */
}/* end writeerror() */
