/******************************************************************************
    Program search.cgi, search thru database to match word(s):
    - config.c - source file for load configuration file

    Copyright (C) 1997-2000 Silvio Klaic, sklaic@student.math.hr
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
******************************************************************************/
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "extern.h"

#ifdef _DOS_
short int strcasecmp(char S1[255], char S2[255]);
#endif

/*-------------------------- Loading config file -----------------------------*/
short int loadconf(char *FNAME,char *HelP,char *BodY,char *ErroR,char *HeaD,char *HTmlC)
{
char lin[512],vars[128],vals[512];
int i,j;
FILE *f;

CUR_SECT=0;/* reset number of section from cfg file */
f=fopen(FNAME,"r");/* open config file */
if (f==NULL){/* can't open config file */
 printf("<H3>Can't load/find config file \"%s\"!</H3>\n",FNAME);/* write err */
 return(true);}/* end if no file */

while(!feof(f)){/* go thru file */
 lin[0]=0;fgets(lin,512,f);/* read line */
 if ( (lin[0]!=32)&&(lin[0]!='\n')&&(lin[0]!=' ')&&(lin[0]!='#')&&(lin[0]!=0) ){
  /* read only uncomment lines */
  i=0;/* reset to begining of line */
  while( (lin[i]!=' ')&&(lin[i]!=' ') ){/* read first part */
   vars[i]=lin[i];i++;}/* end of while first part */
  vars[i]=0;j=0;i++;/* close word from first part */
  while( lin[i+j]!=0 ){/* Read last part of line */
   vals[j]=lin[i+j];j++;}/* end of while second part */
  vals[j-1]=0;/* close word from second part */
  if( strcmp(vars,"HTML_COPYRIGHT")==0 )/* check for copyright */
   strcpy(HTmlC,vals);/* found copyright information, update variable */
  if( strcmp(vars,"REZULT_COLOR")==0 )/* check for rezult color */
   strcpy(RezCol,vals);/* found color information, update variable */
  if( strcmp(vars,"ALL_URLS")==0 ){/* check for limit rezults */
   if(strcasecmp(vals,"on")==0) TypPage=true;
   else TypPage=false;}/* found limit, update variable */
  if( strcmp(vars,"BODY_HTML")==0 )/* check for body.html file */
   strcpy(BodY,vals);/* found location, update variable */
  if( strcmp(vars,"HEAD_HTML")==0 )/* check for head.html file */
   strcpy(HeaD,vals);/* found location, update variable */
  if( strcmp(vars,"HELP_HTML")==0 )/* check for help.html file */
   strcpy(HelP,vals);/* found location, update variable */
  if( strcmp(vars,"ERROR_HTML")==0 )/* check for error.html file */
   strcpy(ErroR,vals);/* found location, update variable */
  if( strcmp(vars,"REPLACE_URL")==0 )/* check for error.html file */
   strcpy(REPLACE,vals);/* found location, update variable */
  if( strcmp(vars,"SECTION")==0 ){
   CUR_SECT++;
   if (CUR_SECT>100) CUR_SECT=100;
   strcpy(section[CUR_SECT].name,vals);
   section[CUR_SECT].stat=0;
  }else if( strcmp(vars,"LOCATION")==0 )
    strcpy(section[CUR_SECT].path,vals);
 }/* end if lin not comment */
}/* end while eof */
fclose(f);/* close file */
return(false);/* return success */
}/* end loadconf() */
