/******************************************************************************
    Program search.cgi, search thru database to match word(s):
    - main.h- header file for search cgi program

    Copyright (C) 1997-2000 Silvio Klaic, sklaic@student.math.hr
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
******************************************************************************/

typedef struct {/* structure for number of section */
    char name[128];/* name of section */
    char path[512];/* location of section */
    short int stat;/* status of section 0-not selected, 1-selected, 2-first*/
} sect;/* name of structure */

struct WorD {/* structure for keeping words */
    char word[WORD_LENGHT];/* word for search */
    short int stat[3];/* stat[0]: 0=words not match 1=words match */
    /* stat[1]: -1=notand(-) 0=and(+) 1=or 2=notand(*) 3=and(*) 4=or(*) */
    /* stat[2]: -1=*X 0=*X* 1=X* substring position `--- substring match */
    unsigned char sign[12];/* 12 bit signture of word characters */
    int size;/* size of first word */
    unsigned short int total,found;/* number of total and matched words */
} WordS[MAX_WORDS];

char REPLACE[512];/* replace file location */
int CUR_WORD;/* number of words from input line */
int CUR_SECT;/* number of section read from config file */
short int TypCase;/* type of case search, 0-ignore case, 1-match case */
short int TypPage;/* type of display rezults, 1-all, 0-only first 200 */
int SCounT;/* count of displayed messages */
int CounT;/* value under display no results */
int CCounT;/* No of hits */
char RezCol[8];/* Color for display rezults */
sect section[100];/* set number of section */

#ifndef true /* define boolean type */
#define true 1
#define false 0
#endif
