/******************************************************************************
    Program url2data, builds database from url address:
    - config.c - source file for loading configuration file.

    Copyright (C) 1997-2000 Silvio Klaic, sklaic@student.math.hr
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
******************************************************************************/
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "url2data.h"

/* --------------- Loading config file ----------------- */
short int loadconf(char *FNAME)
{
char lin[512],vars[128],vals[512];
int i,j;
FILE *f;

if( (f=fopen(FNAME,"r"))==NULL ){/* try to open config file */
 printf("Can't load/find config file \"%s\"!\n",FNAME);/* write error */
 return(true);}/* end if no file */

DEF_EXT[0]=0;tmploc[0]=0;/* reset variable */
while(!feof(f)){/* go thru file */
 lin[0]=0;fgets(lin,512,f);/* read line */
 if ( (lin[0]!=32)&&(lin[0]!='\n')&&(lin[0]!=' ')&&(lin[0]!='#')&&(lin[0]!=0) ){
  /* read only uncomment lines */
  i=0;/* reset to begining of line */
  while( (lin[i]!=' ')&&(lin[i]!=' ') ){/* read first part */
   vars[i]=lin[i];i++;}/* end of while first part */
  vars[i]=0;j=0;i++;/* close word from first part */
  while( lin[i+j]!=0 ){/* Read last part of line */
   vals[j]=lin[i+j];j++;}/* end of while second part */
  vals[j-1]=0;/* close word from second part */
  if( strcmp(vars,"DEF_EXT")==0 )/* check for extensions */
   strcpy(DEF_EXT,vals);/* found extensions, copy to variable */
  if( strcmp(vars,"TEMP_DIR")==0 )/* check for temp dir */
   strcpy(tmploc,vals);/* found temp dir, copy to variable */
 }/* end if lin not comment */
}/* end while eof */
fclose(f);/* close file */
return(false);/* return success */
}
