/******************************************************************************
    Program url2data, builds database from url address:
    - list.c - source file for listing database information

    Copyright (C) 1997-2000 Silvio Klaic, sklaic@student.math.hr
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
******************************************************************************/
#include <stdio.h>
#include <string.h>

#include "url2data.h"

void listdata(void)/* get database info */
{
FILE *f;
unsigned char lin[1024],HoW;/* Heigh of word */
long dataseek,NoW,NoL,NoU,NoS;/* no Words, no Letters, no Urls, Sign */
int HoL,i;/* Heigh of line */

f=fopen(database,"rb");dataseek=0;NoW=0;NoL=0;NoU=0;NoS=0;/* open database */
printf("Writing url locations from database:\n");fflush(NULL);
while(!feof(f)){/* go thru database */
 lin[0]=fgetc(f);/* read first character */
 switch (lin[0]) {/* test type of record */
  case 255:/* url location */
	  fgets(lin,1025,f);NoU++;break;/* read url */
  case 254:/* date information */
	  if(L_OPT==2){ lin[0]='h';printf("%s",lin);
	  }else printf("\rProcessing, Urls: %ld,Signatures: %ld,Words: %ld,\
 Letters: %ld",NoU,NoS,NoW,NoL);fflush(NULL);
	  fgets(lin,81,f);break;/* read date of url */
  case 253:/* size of data */
	  lin[0]=fgetc(f);lin[1]=fgetc(f);lin[2]=fgetc(f);lin[3]=fgetc(f);
	  dataseek=lin[0]*16777216+lin[1]*65536+lin[2]*256+lin[3];break;
  case 252:/* title of data */
	  dataseek--;fgets(lin,130,f);dataseek-=strlen(lin);break;
  default:/* scan for description */
	  dataseek--;HoL=0;/* Heigh of line */
	  if(lin[0]==251){/* description is here */
	   fgets(lin,122,f);dataseek-=strlen(lin);
	  }else{/* hm... possible error? */
	   printf("\rCatch unreferenced value: [%c]-%d\n",lin[0],lin[0]);break;}
	  while(dataseek>0){/* go thru rest of data */
	   for(i=0;i<12;i++) lin[i]=fgetc(f);dataseek-=12;NoS++;/* read sign */
	   lin[0]=fgetc(f);lin[1]=fgetc(f);dataseek-=2;HoL=lin[0]*256+lin[1];
	   if(HoL>510) printf("\rWrong line size (%d) at offset: %ld\n",\
		HoL,dataseek);/* eh wrong size of line it must be <=510 */
	   while(HoL>0){/* go thru line */
	    HoW=fgetc(f);HoL--;dataseek--;/* get size of word */
	    fseek(f,HoW,SEEK_CUR);NoW++;NoL+=HoW;/* skipp word */
	    HoL-=HoW;dataseek-=HoW;/* mark skipped letters */
	   }/* end while HoL */
	  }/* end of while thru data */
	  lin[0]=0;/* clean exit */
  	break;/* end of default */
 }/* end switch */
}/* end while */
fclose(f);NoU--;/* close database */
printf("\r%79s\rProcessing complete, found"," ");
printf(" %ld url locations with:\nTotal signatures: %-10ld Total words: %-10ld \
Total letters: %-12ld\n",NoU,NoS,NoW,NoL);fflush(NULL);
}/* end update() */
