/******************************************************************************
    Program url2data, builds database from url address:
    - read.c - source file for reading database file

    Copyright (C) 1997-2000 Silvio Klaic, sklaic@student.math.hr
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
******************************************************************************/
#include <stdio.h>

#include "url2data.h"

int getword(char *OutLin,FILE *file)/* read word from file */
{
int i;

i=0;OutLin[i]=32;
while( ((OutLin[i]==32)||(OutLin[i]==10))&&!feof(file) )
 OutLin[i]=fgetc(file);/* skipp space characters */
while( (OutLin[i]!=32)&&(i<254)&&(OutLin[i]!=10)&&!feof(file) ){/* read word */
 i++;OutLin[i]=fgetc(file);}/* end while read word */
if(i==254) i++;/* end of 255 charackters */
OutLin[i]=0;/* mark end of word */
return(i);
}

short int UrlInDatabase(unsigned char *ChkUrl)/*test existance of url in base*/
{
FILE *f;
unsigned long forskipp;
short int test;
unsigned char lin[1024];

test=false;
f=fopen(database,"rb");/* open database for testing */
while(!feof(f)&&!test){/* go thru database */
 lin[0]=fgetc(f);/* read first character */
 switch (lin[0]) {/* test type of record */
  case 255:/* url location */
           fgets(lin,1024,f);lin[strlen(lin)-1]=0;/* read url */
           if(strcmp(lin,ChkUrl)==0) test=true;/* found url */
           break; 
  case 254:/* date information */
	   fgets(lin,1024,f);break;
  case 253:/* size of data */
	   lin[0]=fgetc(f);lin[1]=fgetc(f);lin[2]=fgetc(f);lin[3]=fgetc(f);
	   forskipp=lin[0]*16777216+lin[1]*65536+lin[2]*256+lin[3];
	   fseek(f,forskipp,SEEK_CUR);break;/* skipp data not interest on it */
  default:/* hm... possible error? */
	   printf("\rCatch unreferenced value: [%c]-%d\n",lin[0],lin[0]);break;
 }/* end switch */
}/* end while */
fclose(f);
return(test);
}
