/******************************************************************************
    Program url2data, builds database from url address:
    - update.c - source file for testig url address in database.

    Copyright (C) 1997-2000 Silvio Klaic, sklaic@student.math.hr
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
******************************************************************************/
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>

#include "url2data.h"

short int geturlloc(char *UrlLoc);/* add url location to database */

void update(void)/* check database and test url locations */
{
FILE *f,*d;
unsigned char lin[1024];
unsigned long forskipp;
int numread;

E_OPT=false;R_OPT=false;/* remove aditional processing */
strcpy(lin,database);strcpy(database,recdbase);strcpy(recdbase,lin);
d=fopen(recdbase,"rb");/* open database for checking */
while(!feof(d)){/* go thru database */
 lin[0]=fgetc(d);/* read first character */
 switch (lin[0]) {/* test type of record */
  case 255:/* url location */
	  fgets(url_file_adr,1024,d);url_file_adr[strlen(url_file_adr)-1]=0;
	  break;/* read url */
  case 254:/* date information */
	  fgets(date,81,d);break;/* read date of url */
  case 253:/* size of data */
	  lin[0]=fgetc(d);lin[1]=fgetc(d);lin[2]=fgetc(d);lin[3]=fgetc(d);
	  forskipp=lin[0]*16777216+lin[1]*65536+lin[2]*256+lin[3];
	  if(geturlloc(url_file_adr)){/* file not changed, copy from database */
	   f=fopen(database,"ab");/* open temp database for update */
	   fprintf(f,"%c%s\n%c%s",255,url_file_adr,254,date);/*write loc & dat*/
	   fprintf(f,"%c%c%c%c%c",253,lin[0],lin[1],lin[2],lin[3]);/*write siz*/
	   while(forskipp>0){/* write data part */
	    if(forskipp>1024)/* read 1024 bytes */
	     numread=fread(lin,sizeof(char),1024,d);/* read buff */
	    else/* rest of data is less than 1024 bytes */
	     numread=fread(lin,sizeof(char),forskipp,d);/* read buff */
	    fwrite(lin,sizeof(char),numread,f);/* write buffer */
	    forskipp-=numread;/* downcount rest of data for copy */
	   }fclose(f);/* close temp database file */
	  }else fseek(d,forskipp,SEEK_CUR);break;/* skipp data if changed */
  default:/* hm... possible error? */
	  printf("\rCatch unreferenced value: [%c]-%d\n",lin[0],lin[0]);break;
 }/* end switch */
}/* end while */
fclose(d);/* close database */
printf("\r%79s\rReplacing old database ..."," ");
d=fopen(recdbase,"wb");/* open database for rewriting */
f=fopen(database,"rb");/* open temp database for reading */
while( (numread=fread(lin,sizeof(char),1024,f))>0 )/* read buff */
 fwrite(lin,sizeof(char),numread,d);/* write buffer */
fclose(f);fclose(d);/* close temp and database file */
printf(" Done.");strcpy(lin,database);strcpy(database,recdbase);
strcpy(recdbase,lin);/* return to previus status */
}/* end update() */
