/******************************************************************************
    Program url2data, builds database from url address:
    - util.c - source file for testing and working with directory and path.

    Copyright (C) 1997-2000 Silvio Klaic, sklaic@student.math.hr
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
******************************************************************************/
#include <stdio.h>
#include <string.h>

#include "url2data.h"

void fix_line(char *Ulin);

void extrfname(char *Path, char *Fname)/* extract file name */
{
int i,j;

for(i=strlen(Path);(i>=-1)&&(Path[i]!='/');i--);/* find end of file name */
if( (i<=0)&&(Path[i]!='/') ){/* Path is file name */
 strcpy(Fname,Path);/* copy file name */
}else{/* found location on end of file name */
 j=i+1;for(i=j;i<=strlen(Path);i++) Fname[i-j]=Path[i];/* copy file name */
}/* end else if i */
}/* end extrfname() */

void getdesc(void)/* scan surce for description */
{
FILE *f;
int i;
unsigned char lin[120];

descr[0]=0;f=fopen(fixhtml,"rb");/* open tmp source file */
while( !feof(f) ){/* go thru file */
 lin[0]=fgetc(f);/* read character */
 if(lin[0]=='<'){/* it some command search */
  fgets(lin,5,f);/* get html command */
  if(strcasecmp(lin,"meta")==0){/* found meta name */
   fgets(lin,18,f);/* read type */
   if(strncasecmp(lin," name=\"keywords\" ",17)==0){/* found keyword */
    fgets(lin,10,f);i=-1;lin[0]=0;/* skip CONTENT */
    do{/* go thru data */
     i++;lin[i]=fgetc(f);/* read content */
    }while( (lin[i]!='>')&&(lin[i]!='"')&&(lin[i]!=10)&&(i<120) );/*end while */
    lin[i]=0;strcat(descr,lin);/* end read content and copy to descr */
   }else if(strncasecmp(lin," name=\"descriptio",17)==0){/* found descr */
    fgets(lin,13,f);i=-1;lin[0]=0;/* skip CONTENT */
    do{/* go thru data */
     i++;lin[i]=fgetc(f);/* read content */
    }while( (lin[i]!='>')&&(lin[i]!='"')&&(lin[i]!=10)&&(i<120) );/*end while */
    lin[i]=0;strcat(descr,lin);/* end read content and copy to descr */
   }/* end if desc or keyw */
  }/* end if strcmp */
 }/* end if lin */
}/* end while */
fclose(f);/* close file */
descr[120]=0;fix_line(descr);/* set marcation to avoid oversize bug */
}/* end getdesc() */
